# QTabBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QTabBar(QWidget parent)

### Constructor Properties

- prototype: The QTabBar prototype object
- SelectLeftTab
- SelectRightTab
- SelectPreviousTab
- SelectionBehavior( value )
- LeftSide
- RightSide
- ButtonPosition( value )
- RoundedNorth
- RoundedSouth
- RoundedWest
- RoundedEast
- TriangularNorth
- TriangularSouth
- TriangularWest
- TriangularEast
- Shape( value )

### Prototype Object Properties

The QTabBar prototype object inherits properties from the QWidget prototype object and also has the following properties.

- int addTab(QIcon icon, String text)
- int insertTab(int index, QIcon icon, String text)
- bool isTabEnabled(int index)
- QSize minimumSizeHint()
- void moveTab(int from, int to)
- void removeTab(int index)
- void setTabButton(int index, ButtonPosition position, QWidget widget)
- void setTabData(int index, Object data)
- void setTabEnabled(int index, bool arg__2)
- void setTabIcon(int index, QIcon icon)
- void setTabText(int index, String text)
- void setTabTextColor(int index, QColor color)
- void setTabToolTip(int index, String tip)
- void setTabWhatsThis(int index, String text)
- QSize sizeHint()
- int tabAt(QPoint pos)
- QWidget tabButton(int index, ButtonPosition position)
- Object tabData(int index)
- QIcon tabIcon(int index)
- QRect tabRect(int index)
- String tabText(int index)
- QColor tabTextColor(int index)
- String tabToolTip(int index)
- String tabWhatsThis(int index)

### Instance Properties

QTabBar objects inherit properties from the QTabBar prototype object and also have the following properties.

- shape
- currentIndex
- count
- drawBase
- iconSize
- elideMode
- usesScrollButtons
- tabsClosable
- selectionBehaviorOnRemove
- expanding
- movable
- documentMode